# Snapshot report for `test/options.js`

The actual snapshot is saved in `options.js.snap`.

Generated by [AVA](https://ava.li).

## Invalid options | exec { opts: false }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Options must be a plain object: false␊
          at STACK TRACE`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { argv0: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "argv0" must be of type:␊
          string␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "argv0": "command"␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { buffer: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "buffer" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "buffer": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { cleanup: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "cleanup" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "cleanup": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { cwd: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "cwd" must be of type:␊
          string␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "cwd": /path␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { detached: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "detached" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "detached": false␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { encoding: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "encoding" must be of type:␊
          string␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "encoding": "utf8"␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { env: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "env" must be of type:␊
          object␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "env": {␊
            "HOME": /path␊
          }␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { extendEnv: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "extendEnv" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "extendEnv": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { from: 'invalid' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option 'from' 'invalid' must be one of: stdout, stderr, all␊
          at STACK TRACE`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { gid: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "gid" must be of type:␊
          number␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "gid": 0␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { input: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "input" must be of type:␊
          string or object␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "input": "input"␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "input": {␊
            "type": "Buffer",␊
            "data": []␊
          }␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "input": "Stream"␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { invalid: false } }

> Snapshot 1

    {
      exitCode: 0,
      stderr: `● Validation Warning:␊
      ␊
        Unknown option "invalid" with value false was found.␊
        This is probably a typing mistake. Fixing it will remove this message.`,
      stdout: `[12:00:00] Starting 'main'...␊
      [12:00:00] [gulp-execa] echo test␊
      test␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## Invalid options | exec { opts: { killSignal: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "killSignal" must be of type:␊
          string or number␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "killSignal": "SIGTERM"␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "killSignal": 9␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { localDir: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "localDir" must be of type:␊
          string␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "localDir": /path␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { maxBuffer: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "maxBuffer" must be of type:␊
          number␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "maxBuffer": 10000000␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { preferLocal: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "preferLocal" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "preferLocal": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { reject: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "reject" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "reject": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { result: 'invalid' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option 'result' 'invalid' must be one of: save, replace␊
          at STACK TRACE`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { shell: 0 } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "shell" must be of type:␊
          boolean or string␊
        but instead received:␊
          number␊
      ␊
        Example:␊
        {␊
          "shell": true␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "shell": /path␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { stderr: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "stderr" must be of type:␊
          string or number or object␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "stderr": "pipe"␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "stderr": 2␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "stderr": "Stream"␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { stdin: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "stdin" must be of type:␊
          string or number or object␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "stdin": "pipe"␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "stdin": 0␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "stdin": "Stream"␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { stdio: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "stdio" must be of type:␊
          string or array␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "stdio": "pipe"␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "stdio": [␊
            "pipe",␊
            "pipe",␊
            "pipe"␊
          ]␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { stdout: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "stdout" must be of type:␊
          string or number or object␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "stdout": "pipe"␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "stdout": 1␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "stdout": "Stream"␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { stripFinalNewline: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "stripFinalNewline" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "stripFinalNewline": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { timeout: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "timeout" must be of type:␊
          number␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "timeout": 5000␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { uid: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: 'invalid options.uid',
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { windowsHide: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "windowsHide" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "windowsHide": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | exec { opts: { windowsVerbatimArguments: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "windowsVerbatimArguments" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "windowsVerbatimArguments": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: false }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Options must be a plain object: false␊
          at STACK TRACE`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { argv0: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "argv0" must be of type:␊
          string␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "argv0": "command"␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { buffer: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "buffer" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "buffer": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { cleanup: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "cleanup" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "cleanup": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { cwd: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "cwd" must be of type:␊
          string␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "cwd": /path␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { detached: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "detached" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "detached": false␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { encoding: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "encoding" must be of type:␊
          string␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "encoding": "buffer"␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { env: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "env" must be of type:␊
          object␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "env": {␊
            "HOME": /path␊
          }␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { extendEnv: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "extendEnv" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "extendEnv": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { from: 'invalid' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option 'from' 'invalid' must be one of: stdout, stderr, all␊
          at STACK TRACE`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { gid: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "gid" must be of type:␊
          number␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "gid": 0␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { input: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "input" must be of type:␊
          string or object␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "input": "input"␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "input": {␊
            "type": "Buffer",␊
            "data": []␊
          }␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "input": "Stream"␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { invalid: false } }

> Snapshot 1

    {
      exitCode: 0,
      stderr: `● Validation Warning:␊
      ␊
        Unknown option "invalid" with value false was found.␊
        This is probably a typing mistake. Fixing it will remove this message.`,
      stdout: `[12:00:00] Starting 'main'...␊
      test␊
      ␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## Invalid options | stream-buffer { opts: { killSignal: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "killSignal" must be of type:␊
          string or number␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "killSignal": "SIGTERM"␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "killSignal": 9␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { localDir: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "localDir" must be of type:␊
          string␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "localDir": /path␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { maxBuffer: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "maxBuffer" must be of type:␊
          number␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "maxBuffer": 10000000␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { preferLocal: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "preferLocal" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "preferLocal": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { reject: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "reject" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "reject": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { result: 'invalid' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option 'result' 'invalid' must be one of: save, replace␊
          at STACK TRACE`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { shell: 0 } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "shell" must be of type:␊
          boolean or string␊
        but instead received:␊
          number␊
      ␊
        Example:␊
        {␊
          "shell": true␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "shell": /path␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { stderr: false } }

> Snapshot 1

    {
      exitCode: 0,
      stderr: `● Validation Warning:␊
      ␊
        Unknown option "stderr" with value false was found.␊
        This is probably a typing mistake. Fixing it will remove this message.`,
      stdout: `[12:00:00] Starting 'main'...␊
      test␊
      ␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## Invalid options | stream-buffer { opts: { stdin: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "stdin" must be of type:␊
          string or number or object␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "stdin": "pipe"␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "stdin": 0␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "stdin": "Stream"␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { stdio: false } }

> Snapshot 1

    {
      exitCode: 0,
      stderr: `● Validation Warning:␊
      ␊
        Unknown option "stdio" with value false was found. Did you mean "stdin"?␊
        This is probably a typing mistake. Fixing it will remove this message.`,
      stdout: `[12:00:00] Starting 'main'...␊
      test␊
      ␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## Invalid options | stream-buffer { opts: { stdout: false } }

> Snapshot 1

    {
      exitCode: 0,
      stderr: `● Validation Warning:␊
      ␊
        Unknown option "stdout" with value false was found.␊
        This is probably a typing mistake. Fixing it will remove this message.`,
      stdout: `[12:00:00] Starting 'main'...␊
      test␊
      ␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## Invalid options | stream-buffer { opts: { stripFinalNewline: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "stripFinalNewline" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "stripFinalNewline": false␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { timeout: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "timeout" must be of type:␊
          number␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "timeout": 5000␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { uid: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: 'invalid options.uid',
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { windowsHide: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "windowsHide" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "windowsHide": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-buffer { opts: { windowsVerbatimArguments: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "windowsVerbatimArguments" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "windowsVerbatimArguments": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: false }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Options must be a plain object: false␊
          at STACK TRACE`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { argv0: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "argv0" must be of type:␊
          string␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "argv0": "command"␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { buffer: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "buffer" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "buffer": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { cleanup: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "cleanup" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "cleanup": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { cwd: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "cwd" must be of type:␊
          string␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "cwd": /path␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { detached: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "detached" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "detached": false␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { encoding: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "encoding" must be of type:␊
          string␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "encoding": "utf8"␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { env: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "env" must be of type:␊
          object␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "env": {␊
            "HOME": /path␊
          }␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { extendEnv: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "extendEnv" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "extendEnv": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { from: 'invalid' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option 'from' 'invalid' must be one of: stdout, stderr, all␊
          at STACK TRACE`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { gid: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "gid" must be of type:␊
          number␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "gid": 0␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { input: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "input" must be of type:␊
          string or object␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "input": "input"␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "input": {␊
            "type": "Buffer",␊
            "data": []␊
          }␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "input": "Stream"␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { invalid: false } }

> Snapshot 1

    {
      exitCode: 0,
      stderr: `● Validation Warning:␊
      ␊
        Unknown option "invalid" with value false was found.␊
        This is probably a typing mistake. Fixing it will remove this message.`,
      stdout: `[12:00:00] Starting 'main'...␊
      [␊
        {␊
          "command": "echo test",␊
          "exitCode": 0,␊
          "exitCodeName": "SUCCESS",␊
          "stdout": "test",␊
          "stderr": "",␊
          "all": "test",␊
          "failed": false,␊
          "timedOut": false,␊
          "isCanceled": false,␊
          "killed": false␊
        }␊
      ]␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## Invalid options | stream-save { opts: { killSignal: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "killSignal" must be of type:␊
          string or number␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "killSignal": "SIGTERM"␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "killSignal": 9␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { localDir: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "localDir" must be of type:␊
          string␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "localDir": /path␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { maxBuffer: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "maxBuffer" must be of type:␊
          number␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "maxBuffer": 10000000␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { preferLocal: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "preferLocal" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "preferLocal": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { reject: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "reject" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "reject": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { result: 'invalid' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option 'result' 'invalid' must be one of: save, replace␊
          at STACK TRACE`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { shell: 0 } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "shell" must be of type:␊
          boolean or string␊
        but instead received:␊
          number␊
      ␊
        Example:␊
        {␊
          "shell": true␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "shell": /path␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { stderr: false } }

> Snapshot 1

    {
      exitCode: 0,
      stderr: `● Validation Warning:␊
      ␊
        Unknown option "stderr" with value false was found.␊
        This is probably a typing mistake. Fixing it will remove this message.`,
      stdout: `[12:00:00] Starting 'main'...␊
      [␊
        {␊
          "command": "echo test",␊
          "exitCode": 0,␊
          "exitCodeName": "SUCCESS",␊
          "stdout": "test",␊
          "stderr": "",␊
          "all": "test",␊
          "failed": false,␊
          "timedOut": false,␊
          "isCanceled": false,␊
          "killed": false␊
        }␊
      ]␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## Invalid options | stream-save { opts: { stdin: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "stdin" must be of type:␊
          string or number or object␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "stdin": "pipe"␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "stdin": 0␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "stdin": "Stream"␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { stdio: false } }

> Snapshot 1

    {
      exitCode: 0,
      stderr: `● Validation Warning:␊
      ␊
        Unknown option "stdio" with value false was found. Did you mean "stdin"?␊
        This is probably a typing mistake. Fixing it will remove this message.`,
      stdout: `[12:00:00] Starting 'main'...␊
      [␊
        {␊
          "command": "echo test",␊
          "exitCode": 0,␊
          "exitCodeName": "SUCCESS",␊
          "stdout": "test",␊
          "stderr": "",␊
          "all": "test",␊
          "failed": false,␊
          "timedOut": false,␊
          "isCanceled": false,␊
          "killed": false␊
        }␊
      ]␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## Invalid options | stream-save { opts: { stdout: false } }

> Snapshot 1

    {
      exitCode: 0,
      stderr: `● Validation Warning:␊
      ␊
        Unknown option "stdout" with value false was found.␊
        This is probably a typing mistake. Fixing it will remove this message.`,
      stdout: `[12:00:00] Starting 'main'...␊
      [␊
        {␊
          "command": "echo test",␊
          "exitCode": 0,␊
          "exitCodeName": "SUCCESS",␊
          "stdout": "test",␊
          "stderr": "",␊
          "all": "test",␊
          "failed": false,␊
          "timedOut": false,␊
          "isCanceled": false,␊
          "killed": false␊
        }␊
      ]␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## Invalid options | stream-save { opts: { stripFinalNewline: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "stripFinalNewline" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "stripFinalNewline": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { timeout: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "timeout" must be of type:␊
          number␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "timeout": 5000␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { uid: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: 'invalid options.uid',
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { windowsHide: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "windowsHide" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "windowsHide": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-save { opts: { windowsVerbatimArguments: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "windowsVerbatimArguments" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "windowsVerbatimArguments": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: false }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Options must be a plain object: false␊
          at STACK TRACE`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { argv0: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "argv0" must be of type:␊
          string␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "argv0": "command"␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { buffer: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "buffer" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "buffer": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { cleanup: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "cleanup" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "cleanup": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { cwd: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "cwd" must be of type:␊
          string␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "cwd": /path␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { detached: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "detached" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "detached": false␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { encoding: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "encoding" must be of type:␊
          string␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "encoding": "buffer"␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { env: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "env" must be of type:␊
          object␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "env": {␊
            "HOME": /path␊
          }␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { extendEnv: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "extendEnv" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "extendEnv": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { from: 'invalid' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option 'from' 'invalid' must be one of: stdout, stderr, all␊
          at STACK TRACE`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { gid: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "gid" must be of type:␊
          number␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "gid": 0␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { input: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "input" must be of type:␊
          string or object␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "input": "input"␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "input": {␊
            "type": "Buffer",␊
            "data": []␊
          }␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "input": "Stream"␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { invalid: false } }

> Snapshot 1

    {
      exitCode: 0,
      stderr: `● Validation Warning:␊
      ␊
        Unknown option "invalid" with value false was found.␊
        This is probably a typing mistake. Fixing it will remove this message.`,
      stdout: `[12:00:00] Starting 'main'...␊
      test␊
      ␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## Invalid options | stream-stream { opts: { killSignal: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "killSignal" must be of type:␊
          string or number␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "killSignal": "SIGTERM"␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "killSignal": 9␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { localDir: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "localDir" must be of type:␊
          string␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "localDir": /path␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { maxBuffer: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "maxBuffer" must be of type:␊
          number␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "maxBuffer": 10000000␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { preferLocal: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "preferLocal" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "preferLocal": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { reject: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "reject" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "reject": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { result: 'invalid' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option 'result' 'invalid' must be one of: save, replace␊
          at STACK TRACE`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { shell: 0 } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "shell" must be of type:␊
          boolean or string␊
        but instead received:␊
          number␊
      ␊
        Example:␊
        {␊
          "shell": true␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "shell": /path␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { stderr: false } }

> Snapshot 1

    {
      exitCode: 0,
      stderr: `● Validation Warning:␊
      ␊
        Unknown option "stderr" with value false was found.␊
        This is probably a typing mistake. Fixing it will remove this message.`,
      stdout: `[12:00:00] Starting 'main'...␊
      test␊
      ␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## Invalid options | stream-stream { opts: { stdin: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "stdin" must be of type:␊
          string or number or object␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "stdin": "pipe"␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "stdin": 0␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "stdin": "Stream"␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { stdio: false } }

> Snapshot 1

    {
      exitCode: 0,
      stderr: `● Validation Warning:␊
      ␊
        Unknown option "stdio" with value false was found. Did you mean "stdin"?␊
        This is probably a typing mistake. Fixing it will remove this message.`,
      stdout: `[12:00:00] Starting 'main'...␊
      test␊
      ␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## Invalid options | stream-stream { opts: { stdout: false } }

> Snapshot 1

    {
      exitCode: 0,
      stderr: `● Validation Warning:␊
      ␊
        Unknown option "stdout" with value false was found.␊
        This is probably a typing mistake. Fixing it will remove this message.`,
      stdout: `[12:00:00] Starting 'main'...␊
      test␊
      ␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## Invalid options | stream-stream { opts: { stripFinalNewline: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "stripFinalNewline" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "stripFinalNewline": false␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { timeout: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "timeout" must be of type:␊
          number␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "timeout": 5000␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { uid: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: 'invalid options.uid',
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { windowsHide: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "windowsHide" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "windowsHide": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | stream-stream { opts: { windowsVerbatimArguments: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "windowsVerbatimArguments" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "windowsVerbatimArguments": true␊
        }`,
      stdout: '[12:00:00] Starting \'main\'...',
    }

## Invalid options | task { opts: false }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Options must be a plain object: false␊
          at STACK TRACE`,
      stdout: '',
    }

## Invalid options | task { opts: { argv0: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "argv0" must be of type:␊
          string␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "argv0": "command"␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { buffer: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "buffer" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "buffer": true␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { cleanup: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "cleanup" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "cleanup": true␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { cwd: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "cwd" must be of type:␊
          string␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "cwd": /path␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { detached: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "detached" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "detached": false␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { encoding: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "encoding" must be of type:␊
          string␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "encoding": "utf8"␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { env: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "env" must be of type:␊
          object␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "env": {␊
            "HOME": /path␊
          }␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { extendEnv: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "extendEnv" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "extendEnv": true␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { from: 'invalid' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option 'from' 'invalid' must be one of: stdout, stderr, all␊
          at STACK TRACE`,
      stdout: '',
    }

## Invalid options | task { opts: { gid: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "gid" must be of type:␊
          number␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "gid": 0␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { input: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "input" must be of type:␊
          string or object␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "input": "input"␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "input": {␊
            "type": "Buffer",␊
            "data": []␊
          }␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "input": "Stream"␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { invalid: false } }

> Snapshot 1

    {
      exitCode: 0,
      stderr: `● Validation Warning:␊
      ␊
        Unknown option "invalid" with value false was found.␊
        This is probably a typing mistake. Fixing it will remove this message.`,
      stdout: `[12:00:00] Starting 'main'...␊
      [12:00:00] [gulp-execa] echo test␊
      test␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## Invalid options | task { opts: { killSignal: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "killSignal" must be of type:␊
          string or number␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "killSignal": "SIGTERM"␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "killSignal": 9␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { localDir: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "localDir" must be of type:␊
          string␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "localDir": /path␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { maxBuffer: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "maxBuffer" must be of type:␊
          number␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "maxBuffer": 10000000␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { preferLocal: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "preferLocal" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "preferLocal": true␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { reject: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "reject" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "reject": true␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { result: 'invalid' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option 'result' 'invalid' must be one of: save, replace␊
          at STACK TRACE`,
      stdout: '',
    }

## Invalid options | task { opts: { shell: 0 } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "shell" must be of type:␊
          boolean or string␊
        but instead received:␊
          number␊
      ␊
        Example:␊
        {␊
          "shell": true␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "shell": /path␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { stderr: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "stderr" must be of type:␊
          string or number or object␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "stderr": "pipe"␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "stderr": 2␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "stderr": "Stream"␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { stdin: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "stdin" must be of type:␊
          string or number or object␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "stdin": "pipe"␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "stdin": 0␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "stdin": "Stream"␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { stdio: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "stdio" must be of type:␊
          string or array␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "stdio": "pipe"␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "stdio": [␊
            "pipe",␊
            "pipe",␊
            "pipe"␊
          ]␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { stdout: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "stdout" must be of type:␊
          string or number or object␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "stdout": "pipe"␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "stdout": 1␊
        }␊
      ␊
        or␊
      ␊
        {␊
          "stdout": "Stream"␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { stripFinalNewline: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "stripFinalNewline" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "stripFinalNewline": true␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { timeout: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "timeout" must be of type:␊
          number␊
        but instead received:␊
          boolean␊
      ␊
        Example:␊
        {␊
          "timeout": 5000␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { uid: false } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: 'invalid options.uid',
      stdout: '',
    }

## Invalid options | task { opts: { windowsHide: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "windowsHide" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "windowsHide": true␊
        }`,
      stdout: '',
    }

## Invalid options | task { opts: { windowsVerbatimArguments: '' } }

> Snapshot 1

    {
      exitCode: 1,
      stderr: `Option "windowsVerbatimArguments" must be of type:␊
          boolean␊
        but instead received:␊
          string␊
      ␊
        Example:␊
        {␊
          "windowsVerbatimArguments": true␊
        }`,
      stdout: '',
    }

## No options | exec { opts: {} }

> Snapshot 1

    {
      exitCode: 0,
      stderr: '',
      stdout: `[12:00:00] Starting 'main'...␊
      [12:00:00] [gulp-execa] echo test␊
      test␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## No options | exec {}

> Snapshot 1

    {
      exitCode: 0,
      stderr: '',
      stdout: `[12:00:00] Starting 'main'...␊
      [12:00:00] [gulp-execa] echo test␊
      test␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## No options | stream-buffer { opts: {} }

> Snapshot 1

    {
      exitCode: 0,
      stderr: '',
      stdout: `[12:00:00] Starting 'main'...␊
      test␊
      ␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## No options | stream-buffer {}

> Snapshot 1

    {
      exitCode: 0,
      stderr: '',
      stdout: `[12:00:00] Starting 'main'...␊
      test␊
      ␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## No options | stream-save { opts: {} }

> Snapshot 1

    {
      exitCode: 0,
      stderr: '',
      stdout: `[12:00:00] Starting 'main'...␊
      [␊
        {␊
          "command": "echo test",␊
          "exitCode": 0,␊
          "exitCodeName": "SUCCESS",␊
          "stdout": "test",␊
          "stderr": "",␊
          "all": "test",␊
          "failed": false,␊
          "timedOut": false,␊
          "isCanceled": false,␊
          "killed": false␊
        }␊
      ]␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## No options | stream-save {}

> Snapshot 1

    {
      exitCode: 0,
      stderr: '',
      stdout: `[12:00:00] Starting 'main'...␊
      [␊
        {␊
          "command": "echo test",␊
          "exitCode": 0,␊
          "exitCodeName": "SUCCESS",␊
          "stdout": "test",␊
          "stderr": "",␊
          "all": "test",␊
          "failed": false,␊
          "timedOut": false,␊
          "isCanceled": false,␊
          "killed": false␊
        }␊
      ]␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## No options | stream-stream { opts: {} }

> Snapshot 1

    {
      exitCode: 0,
      stderr: '',
      stdout: `[12:00:00] Starting 'main'...␊
      test␊
      ␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## No options | stream-stream {}

> Snapshot 1

    {
      exitCode: 0,
      stderr: '',
      stdout: `[12:00:00] Starting 'main'...␊
      test␊
      ␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## No options | task { opts: {} }

> Snapshot 1

    {
      exitCode: 0,
      stderr: '',
      stdout: `[12:00:00] Starting 'main'...␊
      [12:00:00] [gulp-execa] echo test␊
      test␊
      [12:00:00] Finished 'main' after 100 ms`,
    }

## No options | task {}

> Snapshot 1

    {
      exitCode: 0,
      stderr: '',
      stdout: `[12:00:00] Starting 'main'...␊
      [12:00:00] [gulp-execa] echo test␊
      test␊
      [12:00:00] Finished 'main' after 100 ms`,
    }
